Fix phppgadmin test on failure

This commit is contained in:
cytopia 2018-12-28 23:33:54 +01:00
parent 1ffaf4ce92
commit 3e4517ec42
No known key found for this signature in database
GPG Key ID: 6D56EDB8695128A2

View File

@ -93,9 +93,9 @@ if ! curl -sS localhost${URL}intro.php | tac | tac | grep -Eiq "welcome to phpPg
# 3rd Try
sleep 1
if ! curl -sS localhost${URL}intro.php | tac | tac | grep -Eiq "welcome to phpPgAdmin"; then
printf "\r[FAIL] Fetch ${URL}\n"
curl -sS localhost/${URL}into.php || true
curl -sSI localhost/${URL}into.php || true
printf "\r[FAIL] Fetch ${URL}intro.php\n"
curl -sS localhost/${URL}intro.php || true
curl -sSI localhost/${URL}intro.php || true
exit 1
else
printf "\r[OK] Fetch ${URL}intro.php (3 rounds)\n"